summaryrefslogtreecommitdiffstats
path: root/build.sh
diff options
context:
space:
mode:
authorSteve Coffman <gears@apache.org>2000-07-14 19:29:44 +0000
committerSteve Coffman <gears@apache.org>2000-07-14 19:29:44 +0000
commit447a3f1438b350a04933f42128fa1b595f601f24 (patch)
tree1a7b141038614e34f17170a40085e00f683e78fb /build.sh
parent63202a86ed1fcf4840704f1dd18a651618f7e50f (diff)
downloadxmlgraphics-fop-447a3f1438b350a04933f42128fa1b595f601f24.tar.gz
xmlgraphics-fop-447a3f1438b350a04933f42128fa1b595f601f24.zip
I'm adding it back with execute permissions turned on.
This should work in theory. git-svn-id: https://svn.apache.org/repos/asf/xmlgraphics/fop/trunk@193503 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 000000000..f278b5ffa
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,25 @@
+#!/bin/sh
+# Hopefully the permissions will be correct on checkout.
+echo
+echo "Fop Build System"
+echo "----------------"
+echo
+
+if [ "$JAVA_HOME" = "" ] ; then
+ echo "ERROR: JAVA_HOME not found in your environment."
+ echo
+ echo "Please, set the JAVA_HOME variable in your environment to match the"
+ echo "location of the Java Virtual Machine you want to use."
+ exit 1
+fi
+
+LOCALCLASSPATH=$JAVA_HOME/lib/tools.jar:$JAVA_HOME/lib/classes.zip:./lib/ant.jar:./lib/xml.jar:./lib/w3c.jar:./lib
+ANT_HOME=./lib
+
+echo Building with classpath $CLASSPATH:$LOCALCLASSPATH
+echo
+
+echo Starting Ant...
+echo
+
+$JAVA_HOME/bin/java -Dant.home=$ANT_HOME -classpath "$LOCALCLASSPATH:$CLASSPATH" org.apache.tools.ant.Main $*